post

L’aggiornamento non può essere installato perchè non è stato possibile copiare alcuni file … : wp-admin/includes/update-core.php

PRIMO) tieni bene a mente: un’installazione di WordPress NON sicura è una falla alla sicurezza del sistema;

SECONDO) spesso è più semplice effettuare l’installazione via FTP, i parametri di sicurezza dei files vengono assegnati più facilmente ed in automatico, il proprietario del file è l’accesso l’utente dell’accesso FTP ed è tutto pronto (tranne il DB)

TERZO) perché lo vuoi installare così? Per fare una prova originale? Beh…allora continua.

 

Quando in WordPress (installazione su server personale/vps/hosting) ci sono dei problemi di permessi o di parametri sui file, si possono verificare degli errori negli aggiornamenti.

Ultimamente mi è capitato un problema anomalo:

Durante un aggiornamento di routine a WordPress 4.2.2 ho ricevuto il seguente messaggio di errore:

L'aggiornamento non può essere installato perchè non è stato possibile copiare alcuni file. Ciò è solitamente dovuto ad una inconsistenza sui permessi dei file.: wp-admin/includes/update-core.php

Ho provato a cambiare il proprietario del file, ho provato a riavviare il server, ho provato a riassegnare i permessi di scrittura standard… ma niente. Non è andato a buon fine nulla.

Alla fine ho impostato il famoso 777 su tutti i files dell’installazione wordpress e ho risolto.

Qua i comandi per impostare il 777 solo ai file:

find httpdocs/ -type f -exec chmod 777 -R {} \;

e qua i comandi per ripristinare la situazione alla “normalità”.

chmod 750 ./httpdocs/ -R
find httpdocs/ -type d -exec chmod 775 -R {} \;
find httpdocs/ -type f -exec chmod 644 -R {} \;

Per altre info leggi l’articolo INSTALLARE WORDPRESS TRAMITE SSH

Commenti

commenti

Powered by Facebook Comments